! Test the message you get back from a selectRow.
!
! Author:  J. Hallam / J. Bauer
!

startmacro

  call setDatDir

  pipe on
    list2/id=idlist/legacy/msgid=main ^{datDir}.testxy3000.prm
  pipe off
endmacro

procedure processMessage m:msg
  if msg.name eqs "CLOSE" then
    <close>
  else 
    info "Msg=^msg data=^msg.data"
    invoke ,, reg.idlist.selectRow(^msg.data.row,false)
  endif
return

!******************************************************************************!
! Set the dat directory
!******************************************************************************!
procedure setDatDir
  invoke nxmMajor env.nmversion.subString(0,1)
  invoke major java.lang.Integer.valueOf(nxmMajor)
  if major GE 4 then
    invoke s:datDir           nxm.sys.test.DatLocator.getDatDirLocation()
    invoke s:datDirSlash      nxm.sys.test.DatLocator.getDatDirSlashLocation()
    invoke z:sysDatFull       nxm.sys.test.DatLocator.sysDatFull()
    invoke z:sysTestDatExists nxm.sys.test.DatLocator.sysTestDatExists()
  else
    set s:datDir           "nxm.sys.dat"
    set s:datDirSlash      "nxm/sys/dat"
    set z:sysDatFull       true
    set z:sysTestDatExists false
  endif
return
